Package Details: vit-git r629.1e1d010-1

Git Clone URL: https://aur.archlinux.org/vit-git.git (read-only, click to copy)
Package Base: vit-git
Description: Visual Interactive Taskwarrior full-screen terminal interface (GIT version)
Upstream URL: https://github.com/vit-project/vit
Keywords: timewarrior
Licenses: MIT
Conflicts: vit
Provides: vit
Submitter: mikky
Maintainer: notizblock
Last Packager: notizblock
Votes: 3
Popularity: 0.049546
First Submitted: 2017-10-16 14:16
Last Updated: 2020-08-04 04:55

Latest Comments

notizblock commented on 2019-12-31 15:09

This is the 2.x version of VIT. This is a rewrite of VIT 1.x in Python.

mikky commented on 2018-03-20 12:04

Thanks for update, fixed by overriding PERL path - no need to modify the configure script.

ff0x commented on 2018-03-20 11:42

Hi, the current 'configure' script will exit with an error, if /bin is an symlink to /usr/bin (and perl was regognize as '/bin/perl'):

configure: error: can not continue... perl must be installed as /usr/bin/perl

confgiure: hint: try "sudo ln -s /bin/perl /usr/bin/perl"

One additional line at the end of your PKGBUILD's prepare function will fix it:

sed -i '/if test "$PERL" != "\/usr\/bin\/perl"; then/,+4 d' configure

mikky commented on 2017-10-18 10:08

fixed, thanks for info

aichingm commented on 2017-10-18 06:40

vit crashes (wouldn't even start) due to a missing dependency:

Can't locate Try/Tiny.pm in @INC (you may need to install the Try::Tiny module) (@INC contains: /usr/lib/perl5/5.26/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/5.26/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/5.26/core_perl /usr/share/perl5/core_perl) at /usr/bin/vit line 13.
BEGIN failed--compilation aborted at /usr/bin/vit line 13.

please add "perl-try-tiny" as dependency.